Subject: Re: tty problems (again)
From: [email-masked] (Earnie Boyd)

20 Jan 1998 14:23:29 -0800
Message-ID: <[email-masked]>
Content-Type: text/plain
To: [email-masked]
Cc: [email-masked]

From the DOS shell:
SET CYGWIN_TTL=1
bash

>Date: Wed, 14 Jan 1998 14:50:21 -0500
>From: Brian Craft <[email-masked]>
>To: [email-masked]
>Subject: tty problems (again)
>
>(I sent this previously, but it seems to have been lost).
>
>I'm having trouble getting the coolview tty code to work. If
>I run bash, ps returns -1 for the tty. Then I do "CYGWIN_TTY=1"
>and "export CYGWIN_TTY". ps still returns -1 for the tty.
>
>After the export, if I now use "less", keystrokes are not handled 
>properly. There's no way to exit or use the program. If I run bash 
>again, it exits immediately, like so:
>
>/home/bcboy> bash
>/home/bcboy> exit
>/home/bcboy> 
>
>(I didn't type "exit" on the 2nd line).
>
>This is all with Win95.
>
>Anyone know what's wrong? Is there anything else to set up besides
>installing the coolview binaries and setting CYGWIN_TTY to 1? Do
>there need to be /dev/tty files, or anything? mknod doesn't seem
>to do anything (returns "not finished yet").
>
>b.c.
>-
>For help on using this list (especially unsubscribing), send a message 
to
>"[email-masked]" with one line of text: "help".
>

-        \\||//
---o0O0--Earnie--0O0o----
[email-masked]
------ooo0O--O0ooo-------

Check out these great gnu-win32 related sites:
ftp://ftp.cygnus.com/pub/gnu-win32/latest/           (ftp site)
http://www.cygnus.com/pubs/gnupro/                   (Comercial Page)
http://www.cygnus.com/misc/gnu-win32/                (Project Page)
http://www.cygnus.com/ml/gnu-win32                   (Mail Archives)
http://www.itribe.net/virtunix/winhelp-man-pages/    (HTML Man Pages)
http://www.lexa.ru/sos                               (Sergey Okhapkin)
ftp://www.lexa.ru/pub/domestic/sos/                (Sergey's ftp site)
http://www.fu.is.saga-u.ac.jp/~colin/gcc.html        (Colin Peters)
http://www.xraylith.wisc.edu/~khan/software/gnu-win32/ (Mumit Khan)
http://gnu-win32.paranoia.ru                   (Chuck Bogorad's ports)
ftp://ftp.deninc.com/pub (Den Internet Services - US mirror and ports)
http://www.bestweb.net/~aka/gnu-win32/  (GNU-Win32 Bash Configuration)

______________________________________________________
Get Your Private, Free Email at http://www.hotmail.com
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".